oasis

Tooling for building OCaml libraries and applications
Description

OASIS generates a full configure, build and install system for your application. It starts with a simple _oasis file at the toplevel of your project and creates everything required.

OASIS leverages existing OCaml tooling to perform most of it's work. In fact, it might be more appropriate to think of it as simply the glue that binds these other subsystems together and coordinates the work that they do. It should support the following tools:

  • OCamlbuild
  • OMake
  • OCamlMakefile (todo),
  • ocaml-autoconf (todo)

It also features a do-it-yourself command line invocation and an internal configure/install scheme. Libraries are managed through findlib. It has been tested on GNU Linux and Windows.

It also allows to have standard entry points and description. It helps to integrates your libraries and software with third parties tools like OPAM.

Install
Sources
oasis-0.4.11.tar.gz
md5=98492f4657c2c5b30e3b1bc945e58419
Dependencies
Reverse Dependencies
alcotest
>= "0.4.8" & < "0.5.0"
amf
< "0.1.2"
async-zmq
< "0.1.0"
aws
< "1.0.0"
bap-callsites
>= "1.5.0"
bap-demangle
>= "1.5.0"
bap-frames
>= "2.1.1"
bap-frontend
>= "1.5.0"
bap-ida
>= "1.5.0"
bap-mc
>= "1.5.0"
bap-phoenix
>= "1.5.0"
bap-server
>= "0.2.0"
bap-std
>= "1.5.0"
bap-strings
>= "1.5.0"
bap-trace
>= "1.5.0"
benchmark
< "1.2"
bistro
< "0.3.0"
bitmasks
< "1.1.0"
brotli
< "2.0.3"
c3
< "0.4.0"
callipyge
< "0.2"
cbor
< "0.3"
cohttp
= "0.15.2"
containers
= "0.16" | = "0.22"
cow
>= "2.0.0" & < "2.2.0"
crc
= "1.0.0"
ctypes
< "0.2.3"
deriving
>= "0.7.1"
dropbox
< "0.2"
eigen
< "0.1.0"
ezxenstore
< "0.1.2"
farmhash
< "0.4"
genspir
< "1.0.0"
gperftools
= "0.3"
hamt
< "1.0.0"
irc-client
>= "0.3.1" & < "0.6.0"
jemalloc
< "0.2"
jhupllib
< "0.2.1"
ketrew
< "2.0.0"
linenoise
< "1.1.0"
lmdb
< "1.0"
lustre-v6
< "6.103.3"
lutils
< "1.44"
lutin
< "2.71.10"
lwt-binio
>= "0.2.0"
lwt-parallel
>= "0.1.1"
macaque
>= "0.7.4"
message-switch
>= "1.4.0"
mirage-block
< "1.0.0"
mkaudio
< "1.1.0"
mld
>= "0.2"
mlmpfr
< "4.0.2+dune"
monads
>= "1.5.0"
mpp
= "0.3.2"
mpris
= "0.1.1"
mustache
< "2.2.0"
nbd
>= "2.0.1" & != "2.2.0" & < "4.0.3"
nocrypto
= "0.5.3"
nunchaku
= "0.3.1" | = "0.5"
oasis2opam
>= "0.3.3" & != "0.4.0"
obus
= "1.1.8"
ocaml-basics
< "0.5.0"
ocaml-monadic
!= "0.3.2" & < "0.4.0"
ocaml-r
< "0.1.0"
ocephes
< "0.8.1"
odate
< "0.6"
ogre
>= "1.5.0"
opasswd
= "1.0.1"
opium
< "0.14.0"
osc
< "0.2.0"
owl
< "0.3.0"
pa_bin_prot
< "113.00.01"
pa_fields_conv
< "113.00.01"
pa_sexp_conv
< "113.00.01"
pa_typerep_conv
< "113.00.01"
pa_variants_conv
< "109.15.04"
plist
>= "1.0.0"
ppx_bitstring
>= "1.3.1" & < "2.0.0"
ppx_hardcaml
< "1.1.0"
qrencode
< "0.2"
radare2
< "0.0.2"
rdbg
< "1.196.12"
regular
>= "1.5.0"
rope
< "0.6"
rpc
>= "1.9.51" & < "5.9.0"
secp256k1
< "0.2.5"
shared-block-ring
>= "2.3.0" & < "3.0.0"
syndic
= "1.5"
telegraml
< "2.2.0"
text-tags
>= "1.5.0"
tls
= "0.7.1"
toml
= "2.2.0"
tsdl-image
< "0.3.0"
tsdl-mixer
< "0.3.0"
tsdl-ttf
< "0.3"
usbmux
>= "1.1.0"
vhd-tool
>= "0.12.0"
vpnkit
< "0.1.1"
webtest
< "2.0.0"
x509
>= "0.5.1" & < "0.6.0"
xapi-rrd
< "1.8.2"
xe
>= "0.6.3"
xen-api-client
>= "0.9.10"
xen-gnt
= "2.0.0"
xentropyd
>= "0.9.3"
zmq
< "4.0-7"
zstd
< "0.3"